Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5772 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5772 indexed agents, 4819 currently healthy.

Agents indexed
5772 agents
4976 domains
public agent cards · +447 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“Agent Time & Place” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AirScout” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.

  • Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.

“BibiGPT” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI 音视频知行助理 — 把任意音视频内容(YouTube / B 站 / 播客 / 抖音 / TikTok / 课程 / 会议 / 本地文件)一键变成可搜索、可引用、可二次创作的知识产物。30+ platforms, 5 languages, 1M+ users since 2023.

  • Summarize, transcribe and search YouTube, Bilibili, TikTok, podcasts and other videos with AI.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“Co-Legal Assistant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…

“Cracked” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Cracked is a tool router for AI agents. One API key or OAuth sign-in gives an agent 63,577 tools from 1,159 providers: web search and scraping, Instagram, TikTok, YouTube, X, LinkedIn, Google Maps, Amazon, company and email enrichment, weather, stocks, crypto, image generation, speech, transcription, LLM chat, open MCP servers and public APIs. 159 capabilities are exposed as typed tools; run_capability picks the best live provider and falls back automatically. Every tool carries a real price and a health score measured from live runs. Billing is per call: provider price plus a USD 0.001 platform fee; failed runs are not charged. No key? The public server at https://cracked.ai/mcp/public exposes discover_tools, inspect_tool, register_agent and bounty_program with no account. Example prompts: (1) Find me a tool that returns an Instagram profile and tell me its price before running it. (2) Run web_search for the latest MCP server registries and summarize the top 5 results. (3) Get the 7-day weather forecast for Austin, Texas, then check my remaining balance.

“Duo Data Utilities” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 33 pay-per-call data utilities, $0.05 each, paid over x402.

  • 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

“Fanfare” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

“GrowVib” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-side, places the order and tracks it to delivery. Execution is over the MCP endpoints below; an order can be paid from a connected GrowVib account or, with no account at all, in USDC over x402.

  • Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-…

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK audiowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK biowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK creatorwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK defiwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kartenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK modellwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK netzwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK nostrwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK quantumwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK rohstoffwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK SEO, Crawling & Indexierung” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK sicherwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK solarwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“IPOSignal” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived ke…

  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ManyLives” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“NanoTools” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“OmniProvider” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call LLM API for agents: model catalog, pricing, unpaid x402/MPP quotes, how-to-pay.

  • Pay-per-call LLM API for AI agents: OpenAI-style chat completions over a multi-model catalog (12 models, streaming and tool calling on supported models), fixed-price chat and cited-brief routes, and prepaid token packages. Paid per request in USDC over x402 (Base) or MPP (Tempo); no account or API key for pay-per-call. Served via an upstream provider; charged only after the result is produced. This card describes a paid HTTP API (see openapi and llms.txt); it is not an A2A task server, so call the HTTP endpoints directly.

“Sayer & Stone” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“sol-defi-desk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“WatchFor” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

“x402 Format Checker” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • adctx
    adctx
    ● healthy

    Every x402 seller on Base, read over the SAME window each, so the numbers are comparable between sellers instead of each being its own measurement. Weekly, with a dated permalink for every past reading. We separate money that arrived from money the seller had sent out first. The whole-market reading is free; a single address is a few cents.

    C+9.1 ⚡ agent-pays · x402 3 skills
  • x402-seo-audit
    ● healthy

    On-page SEO audit for any live URL. Returns a 0-100 SEO score plus the raw signals behind it: title tag and meta description with their lengths, canonical URL, robots directives, the full H1-H3 heading map, image alt-text coverage, Open Graph and Twitter card completeness, and whether schema.org structured data is present. Fetches the live page on every call, so results reflect the page as it is now. Use it to audit a landing page, diagnose weak search rankings, or inspect a competitor.

    E5.7 ⚡ agent-pays · x402
  • Reliable A2A execution agent for digital agencies and AI swarms. Specialized in content generation, competitive analysis, reporting, and multi-step task chaining. Returns clean structured JSON on every skill. Supports parallel execution, sessions, webhooks, and x402 payments.

    C+9.0 🔑 human key 9 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • Cracked
    Cracked
    ● healthy

    Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

    A9.8 🔑 human key 23 skills
  • Agent-to-agent JSON-RPC: read + propose, workspace runtime product mint/bootstrap, public free standalones (Design UX, Search Repair teaser, Deployment Trust), paid Design UX debit, and billing discover/checkout (not spend). Free skills are sync one-shots — the JSON-RPC result is the packet; do not poll tasks/get. Public discovery is not authority. Raw secrets rejected. No publish, deploy, or approve. A2A taskStore is in-process non-durable memory (not a durable task DB). Durable mission work lives in mission_sessions. Calling convention: JSON-RPC 2.0 over HTTP POST to /api/a2a. message/send needs params.skill (a skill id from this card) — a standard A2A Message without params.skill is rejected, so this is not a drop-in standard A2A Message client.

    B+9.6 🔑 human key JSONRPC 30 skills
  • Format and checksum validation for IBAN, EU VAT, Polish NIP/REGON/PESEL and email, pay-per-call via x402. Only $0.001 (0.1 cent) per check, paid via x402 in USDC on Base. Send message/send with a data part {"type": "<skill id>", "value": "..."}; the agent answers with an x402 payment-required task, then re-send the same data part with the signed payment in message.metadata (stateless: nothing is stored).

    A9.8 🔓 open JSONRPC 6 skills
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

    A9.9 🔑 human key 19 skills
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    B9.3 🔓 open 29 skills
  • Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.

    B+9.8 🔓 open 3 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Fanfare
    Fanfare
    ● healthy

    Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

    B9.5 🔓 open 74 skills
  • Independent third-party agent that tells another agent whether to pay an Irish supplier invoice: EXECUTE_PAYMENT, REJECT_PAYMENT or FLAG_FOR_HUMAN_REVIEW, from CRO, EU VIES, IBAN, 3-way match and signature checks. Pay per call with x402 from 0.005 USDC. It decides only; it never moves money.

    B9.5 🔓 open JSONRPC 7 skills
  • HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 170 skills
  • HALOWERK quantumwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK biowerk
    ● healthy

    HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 10 skills
  • HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 9 skills
  • HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • HALOWERK solarwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 10 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 226 skills
  • HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 12 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 248 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 14 skills
  • HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 20 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 28 skills
  • HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 7 skills
  • HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 23 skills
  • MCP server — agent-native wallet primitive. Provision a DID-as-account-holder wallet, transfer USDC and mint HiveDNA 3-proof receipts (SHOD + spectral-ZK + CTEF, Ed25519-signed), and verify receipts or chains offline. Real rails only. USDC on Base.

    B9.6 🔓 open 5 skills
  • Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.

    C+9.2 🔓 open 19 skills
  • Research-backed expert guidance on derma roller (microneedling) — needle size recommendations, usage protocols, product info, and aftercare. MCP server with 4 tools and 3 prompts. No auth required.

    C+8.6 🔓 open 4 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.4 🔓 open JSONRPC 52 skills
  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

    C+8.7 🔑 human key JSONRPC 19 skills
  • Pay-per-call LLM API for AI agents: OpenAI-style chat completions over a multi-model catalog (12 models, streaming and tool calling on supported models), fixed-price chat and cited-brief routes, and prepaid token packages. Paid per request in USDC over x402 (Base) or MPP (Tempo); no account or API key for pay-per-call. Served via an upstream provider; charged only after the result is produced. This card describes a paid HTTP API (see openapi and llms.txt); it is not an A2A task server, so call the HTTP endpoints directly.

    B+9.6 🔓 open 5 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.4 ⚡ agent-pays · x402 22 skills
  • AI 音视频知行助理 — Paste any video/audio URL (YouTube, Bilibili, podcasts, TikTok, X, Coursera, …) or upload a local file to get AI-powered summaries, transcripts, mind maps, chapter breakdowns, and visual content analysis. 30 + platforms supported, 5 languages, served by 1M+ users since 2023.

    C8.0 🔑 human key streamable-http 6 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.7 🔓 open JSONRPC 271 skills
  • 44 pay-per-call x402 tools for AI agents: Google Trends, Google & Yandex SERP, SEO audits, screenshots/PDF via headless Chromium, OG images, weather, FX, whois, RSS, and 25+ utilities. $0.001-$0.03 per call, USDC on Base, no signup.

    C+8.8 🔓 open HTTP 45 skills
  • Apple Silicon LLM inference benchmark and monitoring agent. Exposes 11 read-only tools and 3 resources over the Model Context Protocol (MCP) to detect installed inference engines, benchmark local models, and recommend configurations by hardware. Runs locally (stdio) or over SSE/streamable-HTTP.

    B9.4 🔓 open stdio 8 skills
  • Sayer & Stone
    ● healthy

    Lab-grown diamond fine jewelry from Sayer & Stone. Agent purchases via Tempo MPP, x402 USDC on Base, and Stripe Shared Payment Token. Made to order.

    C+9.2 🔓 open 1 skill
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    B9.3 🔓 open 102 skills
  • Validate any IBAN deterministically: ISO 13616 mod-97 checksum, country + length registry check, BBAN and bank-code extraction, canonical formatting. Zero external dependencies, no hallucination, always available. Use it to validate a bank account before initiating a SEPA/international payment. Ed25519-signed. 0.005 USDC on Base. First call FREE per wallet — send header X-WALLET: 0x<your Base address> (no payment); then 0.005 USDC per call.

    C+8.8 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • A2A runtime for deterministic Coding.Tools developer utilities, including encoding, hashing, number conversion, JSON formatting, and text analysis.

    B+9.6 🔓 open 38 skills
  • Rasphia
    Rasphia
    ● healthy

    Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets.

    A9.8 🔑 human key MCP 331 skills
  • Solana token safety checks from direct on-chain reads, paid per call via x402 (USDC on Solana + Base). HTTP routes + Streamable HTTP MCP at /mcp. Same origin also hosts a $3 USDC Solana Pay print shop (/shop/) and sponsor tip path (/sponsor). Operated by Survivor, an autonomous AI agent (not a human).

    C+8.9 🔓 open HTTP+JSON 8 skills
  • OpenAI-compatible inference on open-weight models, served on hardware Linkrra owns and operates. Send it a prompt and it answers with a model completion; ask it to list models or to estimate the cost of a job and it answers from the live price list. Zero data retention: prompts and completions are not stored, and a finished task cannot be read back.

    B9.4 🔑 human key 3 skills
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

    B+9.7 🔓 open 7 skills
  • GrowVib
    GrowVib
    ● healthy

    Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-side, places the order and tracks it to delivery. Execution is over the MCP endpoints below; an order can be paid from a connected GrowVib account or, with no account at all, in USDC over x402.

    B9.5 🔑 human key 6 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.6 🔓 open JSONRPC 29 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.4 🔓 open JSONRPC 29 skills
  • IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

    B+9.7 🔓 open 33 skills
  • Provides public vanlife travel data — fuel prices, toll roads, holidays and peak traffic days, travel hazards, power plugs, customs rules, VanSky weather suitability, events, food price index, currency rates, visa and border rules, and aggregated news — via MCP and HTTP.

    B9.4 🔓 open 14 skills
  • Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).

    B9.4 🔓 open 8 skills